<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="htmlEL" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<div>
	<h1><bean:message key="ib104.open.thirdparty.transfer.head"/></h1>
	<h2><bean:message key="ib104.open.thirdparty.transfer.step3.subhead"/></h2>
	<h6><bean:message key="ib104.open.thirdparty.transfer.step3.explanation"/></h6>

	<bean:define id="formBean" name="openThirdPartyTransferForm" />
	<c:if test="${not empty formBean.map.openThirdPartyTransferView}">
		<bean:define id="viewBean" name="formBean" property="openThirdPartyTransferView" />
		<c:if test="${not empty viewBean.map.serviceInfoBean}">
			<bean:define id="serviceInfoBean" name="viewBean" property="serviceInfoBean" />
		</c:if>

		<c:set var="statusClass" value="success" />
		<c:if test="${!viewBean.map.isResultSuccessful}">
			<c:set var="statusClass" value="error" />
		</c:if>

		<c:if test="${(not empty serviceInfoBean) && (not empty serviceInfoBean.map.mainNote3)}">
			<div id="notes">
               <h5><bean:message key="general.note" /></h5>
               <p><bean:write property="mainNote3" name="serviceInfoBean" filter="false"/></p>
			</div>
		</c:if>

		<br />

		<div id="steps"><span><bean:message key="general.title.steps" arg0="3" arg1="3"/></span></div>

		<div>
			<table class="tabtrans" cellspacing="0" cellpadding="10" border="0">
			<tbody>

				<tr>
					<td class="name"><bean:message key="general.fromAccount"/></td>
					<td class="title"><strong><bean:write property="fromAccountDis" name="viewBean"/></strong></td>
				</tr>

				<c:if test="${viewBean.map.toDisplayNewBalance}" >
					<tr>
						<td class="name"><bean:message key="general.new.balance"/>:</td>
						<td class="title"><strong><bean:write property="fromAcctNewBalance" name="viewBean"/></strong></td>
					</tr>
				</c:if>

				<tr>
					<td class="name"><bean:message key="general.toAccount"/>:</td>
					<td class="title"><strong><bean:write property="toAccountDis" name="viewBean"/></strong></td>
				</tr>
				<tr>
					<td class="name"><bean:message key="general.account.name"/>:</td>
					<td class="title"><strong><bean:write property="accountHolderName" name="viewBean"/></strong></td>
				</tr>
				<tr>
					<td class="name"><bean:message key="general.amount"/>:</td>
					<td class="title"><strong><bean:write  property="amountDis" name="viewBean"/></strong></td>
				</tr>

				<tr>
					<td class="name"><bean:message key="ib104.transferReference"/>:</td>
					<td class="title">
						<strong>
							<c:choose>
								<c:when test="${not empty formBean.map.transferRef}">
									<bean:write name="viewBean" property="transferRefDis" />
								</c:when>
								<c:otherwise>
									-
								</c:otherwise>
							</c:choose>
						</strong>
					</td>
				</tr>

				<tr>
					<td class="name"><bean:message key="ib104.beneficiary.email"/>:</td>
					<td class="title">
						<strong>
							<c:choose>
								<c:when test="${not empty formBean.map.email}">
									<bean:write name="viewBean" property="emailDis" />
								</c:when>
								<c:otherwise>
									-
								</c:otherwise>
							</c:choose>
						</strong>
					</td>
				</tr>
				
				<!-- SMS Notification START -->
				<c:choose>
					<c:when test="${!viewBean.map.isBeneficiarySMSAllowed}">
					</c:when>
					<c:otherwise>
						<tr>
							<td class="name"><bean:message key="sms.beneficiary.mobile"/>:</td>
							<td class="title"><strong><bean:write name="viewBean" property="beneficiaryMobileNumber" /></strong>
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
				<!-- SMS Notification END -->
				
				<c:if test="${(not empty serviceInfoBean) && (serviceInfoBean.map.futureTransactionFlag)}">
					<tr>
						<td colspan="2"><p class="dotted"></p></td>
					</tr>
					<tr>
						<td class="name"><bean:message key="ib112.si.payment.mode"/>:</td>
						<td class="title"><strong><bean:write name="viewBean" property="payModeDisplay" /></strong></td>
					</tr>
					<c:if test="${formBean.map.payMode eq '03'}">
						<tr>
							<td class="name"><bean:message key="general.payment.frequency"/>:</td>
							<td class="title"><strong><bean:write name="viewBean" property="payFrequencyDisplay" /></strong></td>
						</tr>
					</c:if>
					<tr>
						<td class="name"><bean:message key="general.start.date"/>:</td>
						<td class="title"><strong><bean:write name="viewBean" property="effectiveDateDisplay" /></strong></td>
					</tr>
					<c:if test="${formBean.map.payMode eq '03'}">
						<tr>
							<td class="name"><bean:message key="general.terminate.date"/>:</td>
							<td class="title"><strong><bean:write name="viewBean" property="terminationDateDisplay" /></strong></td>
						</tr>
					</c:if>
				</c:if>

			</tbody>
			<tfoot>

				<tr>
					<td id="borderTop" class="name"><strong><bean:message key="general.status"/></strong>:</td>
					<td id="borderTop" class="title">
						<strong class="<c:out value='${statusClass}'/>">
							<bean:write property="status" name="viewBean"/>
						</strong>
					</td>
				</tr>
				<c:if test="${!viewBean.map.isResultSuccessful}">
					<tr>
						<td class="name"><bean:message key="general.reason"/>:</td>
						<td class="title">
							<strong class="<c:out value='${statusClass}'/>">
								<bean:write property="reason" name="viewBean"/>
							</strong>
						</td>
					</tr>
				</c:if>

				<tr>
					<td class="name"><bean:message key="general.reference.number"/>:</td>
					<td class="title"><strong><bean:write property="referenceNo" name="viewBean"/></strong></td>
				</tr>
				<c:if test="${not empty viewBean.map.hostReferenceNo}">
					<tr>
				 		<td class="name"><bean:message key="general.reference"/>:</td>
				 		<td class="title"><strong><bean:write property="hostReferenceNo" name="viewBean" /></strong></td>
					</tr>
				</c:if>
				<tr>
					<td class="name"><bean:message key="general.transaction.date"/>:</td>
					<td class="title"><strong><bean:write property="transDate" name="viewBean"/></strong></td>
				</tr>
				<tr>
					<td class="name"><bean:message key="general.transaction.time"/>:</td>
					<td class="title"><strong><bean:write property="transTime" name="viewBean"/></strong></td>
				</tr>

			</tfoot>
			</table>
			
			<!-- SMS Notification START -->
			<!-- UAT START -->
			<br/>
			<br/>
			<br/>
			<table>
				<tr>
					<td><strong>Beneficiary SMS Allowed:</strong></td>
					<td><c:out value="${viewBean.map.isBeneficiarySMSAllowed}"></c:out></td>
				</tr>
				<c:choose>
					<c:when test="${!viewBean.map.isBeneficiarySMSAllowed}">
					</c:when>
					<c:otherwise>
						<tr>
							<td><strong>SMS Sent:</strong></td>
							<td><bean:write name="viewBean" property="isBeneficiarySMSSent"/></td>
						</tr>
						<tr>
							<td><strong>Mobile Number:</strong></td>
							<td><bean:write name="viewBean" property="beneficiaryMobileNumber"/></td>
						</tr>
						<tr>
							<td><strong>SMS Message:</strong></td>
							<td><bean:write name="viewBean" property="beneficiarySMSMessage"/></td>
						</tr>
					</c:otherwise>
				</c:choose>
			</table>
			<br/>
			<br/>
			<table>
				<tr>
					<td><strong>Customer SMS Allowed:</strong></td>
					<td><c:out value="${viewBean.map.isCustomerSMSAllowed}"></c:out></td>
				</tr>
				<c:choose>
					<c:when test="${!viewBean.map.isCustomerSMSAllowed}">
					</c:when>
					<c:otherwise>
						<tr>
							<td><strong>Alert Amount Reached:</strong></td>
							<td><c:out value="${viewBean.map.isSMSAlertAmount}"></c:out></td>
						</tr>
						<tr>
							<td><strong>SMS Sent:</strong></td>
							<td><bean:write name="viewBean" property="isCustomerSMSSent"/></td>
						</tr>
						<tr>
							<td><strong>Mobile Number:</strong></td>
							<td><bean:write name="viewBean" property="customerMobileNumber"/></td>
						</tr>
						<c:if test="${!viewBean.map.isCustomerSMSSent}">
							<tr>
								<td><strong>SMS Message:</strong></td>
								<td><bean:write name="viewBean" property="customerSMSMessage"/></td>
							</tr>
						</c:if>
					</c:otherwise>
				</c:choose>
			</table>
			<!-- UAT END -->
			<!-- SMS Notification END -->

			<html:form action="/ib104/ib3rdPartyTransferDetails.do">
			<jsp:include flush="true" page="/jsp/common/ibsNavigationParam.jsp"></jsp:include>
			<div id="buttons">
				<c:if test="${(viewBean.map.isResultSuccessful) && (not empty viewBean.map.receiptLink)}" >
					<bean:define id="receiptLink" name="viewBean" property="receiptLink"/>
					<htmlEL:button property="action" styleClass="button" onclick="visitReceiptPage('${receiptLink}');">
						<bean:message key="general.button.receipt"/>
					</htmlEL:button>&nbsp;
				</c:if>

				<html:submit property="action" styleClass="button" onclick="overlay();" >
					<bean:message key="general.button.make.another.transfer"/>
				</html:submit>
			</div>
			</html:form>

		</div>
	</c:if>

</div>
