<%@ taglib uri="/WEB-INF/tld/struts-html-el.tld" prefix="htmlEL" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean-el.tld" prefix="beanEL" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic-el.tld" prefix="logicEL" %>
<%@ taglib uri="/WEB-INF/tld/c.tld" prefix="c" %>

<div>
	<bean:define id="billPaymentViewBean" name="billPaymentForm" property="billPaymentViewBean"/>
	<bean:define id="payeeDetailsBean" name="billPaymentViewBean" property="payeeDetailsBean"/>

	<h1><bean:message key="ib105.bill.payment" /></h1>
	<c:choose>
		<c:when test="${billPaymentViewBean.map.paymentType eq 'OPEN'}">
			<h2><bean:message key="ib105.open.payment.head" /></h2>
			<c:set var="formAction" value="/ib105/ibPaymentCategory.do" />
			<c:set var="arg0" value="5" />
			<c:set var="arg1" value="5" />
		</c:when>
		<c:when test="${billPaymentViewBean.map.paymentType eq 'FAVOURITE'}">
			<h2><bean:message key="ib105.fav.payment.head" /></h2>
			<c:set var="formAction" value="/ib105/ibPaymentFavPayee.do" />
			<c:set var="arg0" value="4" />
			<c:set var="arg1" value="4" />
		</c:when>
		<c:when test="${billPaymentViewBean.map.paymentType eq 'PREPAID'}">
			<h2><bean:message key="ib105.prepaid.payment.head" /></h2>
			<c:set var="formAction" value="/ib105/ibPrepaidCategory.do" />
			<c:set var="arg0" value="5" />
			<c:set var="arg1" value="5" />
		</c:when>
	</c:choose>
	<h6><bean:message key="ib105.bill.payment.results.subhead" /></h6>

	<c:if test="${billPaymentViewBean.map.serviceInfoBean != null}">
		<bean:define id="serviceInfoBean" name="billPaymentViewBean" property="serviceInfoBean"/>
	</c:if>

	<c:if test="${serviceInfoBean.map.mainNote5 != null}">
	<div id="notes">
		<h5><bean:message key="general.note" /></h5>
		<p><bean:write name="serviceInfoBean" property="mainNote5" filter="false"/></p>
	</div>
	</c:if>

	<c:if test="${not empty payeeDetailsBean.map.payeeNote3}">
	<div id="notes">
		<h5><bean:message key="general.note" /></h5>
		<p><bean:write name="payeeDetailsBean" property="payeeNote3" filter="false"/></p>
	</div>
	</c:if>

	<table id="errorTable">
	<tr>
		<td>
			<span id="serverSideError" class="error"><jsp:include flush="true" page="/jsp/errorHandler.jsp"></jsp:include></span>
		</td>
	</tr>
	</table>
	<div id="steps"><span><beanEL:message key="general.title.steps" arg0="${arg0}" arg1="${arg1}"/></span></div>

	<htmlEL:form action="${formAction}">
	<jsp:include flush="true" page="/jsp/common/ibsNavigationParam.jsp"></jsp:include>
		<table class="tabtrans" cellspacing="0" cellpadding="10" border="0">
		<tbody>

			<!-- From Account -->
			<tr>
				<td class="name"><bean:message key="general.fromAccount"/>:</td>
				<td class="title">
					<strong><bean:write name="billPaymentViewBean" property="accountDisplay"/></strong>
				</td>
			</tr>

			<!-- Amount -->
			<tr>
				<td class="name"><bean:message key="general.amount"/>:</td>
				<td class="title">
					<strong><bean:write name="billPaymentViewBean" property="amountDisplay"/></strong>
				</td>
			</tr>

			<!-- payee name -->
			<tr>
				<td class="name">
				<c:choose>
					<c:when test="${billPaymentViewBean.map.paymentType eq 'PREPAID'}">
						<bean:message key="ib105.prepaid.payment.prepaid.type"/>:
					</c:when>
					<c:otherwise>
						<bean:message key="ib105.bill.payment.payee"/>:
					</c:otherwise>
				</c:choose>
				</td>
				<td class="title">
					<strong><bean:write name="payeeDetailsBean" property="fullname"/></strong>
				</td>
			</tr>

			<!-- holder name -->
			<c:if test="${billPaymentViewBean.map.paymentType eq 'FAVOURITE' && not empty billPaymentViewBean.map.billHolderName}">
			<tr>
				<td class="name"><bean:message key="ib105.bill.payment.bill.account.holder"/>:</td>
				<td class="title">
					<strong><bean:write name="billPaymentViewBean" property="billHolderName"/></strong>
				</td>
			</tr>
			</c:if>

			<!-- Phone No for MobilityOne -->
			<c:if test="${payeeDetailsBean.map.merchant eq 'MobilityOne'}">
			<tr>
				<td class="name"><bean:message key="ib105.bill.payment.contact.no"/>:</td>
				<td class="title">
					<c:choose>
						<c:when test="${empty billPaymentForm.map.contactNo}">
							<strong>&minus;</strong>
						</c:when>
						<c:otherwise>
							<strong><bean:write name="billPaymentForm" property="contactNo"/></strong>
						</c:otherwise>
					</c:choose>
				</td>
			</tr>
			</c:if>

			<!-- Bill Account No -->
			<c:if test="${payeeDetailsBean.map.billAcctRequired && not empty billPaymentForm.map.billAccountNo}">
			<tr>
				<td class="name">
					<c:choose>
					<c:when test="${payeeDetailsBean.map.acctDispNameReq}">
						<bean:write name="payeeDetailsBean" property="billAcctDispName"/>:
					</c:when>
					<c:otherwise>
						<bean:message key="ib105.bill.payment.bill.account.no"/>:
					</c:otherwise>
					</c:choose>
				</td>
				<td class="title">
					<strong><bean:write name="billPaymentForm" property="billAccountNo"/></strong>
				</td>
			</tr>
			</c:if>

			<!-- Bill Reference 1 -->
			<c:if test="${payeeDetailsBean.map.billRef1Required}">
				<tr>
					<td class="name">
						<c:choose>
							<c:when test="${payeeDetailsBean.map.billRef1DispNameReq}">
								<bean:write name="payeeDetailsBean" property="billRef1DispName"/>:
							</c:when>
							<c:otherwise>
								<bean:message key="ib105.bill.payment.bil.reference.1"/>:
							</c:otherwise>
						</c:choose>
					</td>
					<td class="title">
						<c:choose>
							<c:when test="${payeeDetailsBean.map.billRef1Type eq 'Selection'}">
								<strong><bean:write name="billPaymentViewBean" property="reference1Display"/></strong>
							</c:when>
							<c:otherwise>
								<strong><bean:write name="billPaymentForm" property="billRef1No"/></strong>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
			</c:if>  <!-- end if billRef1Required -->

			<!-- Bill Reference 2 -->
			<c:if test="${payeeDetailsBean.map.billRef2Required}">
				<tr>
					<td class="name">
						<c:choose>
							<c:when test="${payeeDetailsBean.map.billRef2DispNameReq}">
								<bean:write name="payeeDetailsBean" property="billRef2DispName"/>:
							</c:when>
							<c:otherwise>
								<bean:message key="ib105.bill.payment.bil.reference.2"/>:
							</c:otherwise>
						</c:choose>
					</td>
					<td class="title">
						<c:choose>
							<c:when test="${payeeDetailsBean.map.billRef2Type eq 'Selection'}">
								<strong><bean:write name="billPaymentViewBean" property="reference2Display"/></strong>
							</c:when>
							<c:otherwise>
								<strong><bean:write name="billPaymentForm" property="billRef2No"/></strong>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
			</c:if>  <!-- end if billRef2Required -->
		<c:if test="${billPaymentViewBean.map.paymentType ne 'PREPAID'}">
			<c:if test="${(not empty serviceInfoBean) && (serviceInfoBean.map.futureTransactionFlag)}">
				<tr>
	            	<td colspan="2"><p class="dotted"></p></td>
				</tr>
				<tr>
					<td class="name"><bean:message key="ib112.si.payment.mode"/>:</td>
					<td class="title"><strong><bean:write name="billPaymentViewBean" property="payModeDisplay" /></strong></td>
				</tr>
				<c:if test="${billPaymentForm.map.payMode eq '03'}">
					<tr>
						<td class="name"><bean:message key="general.payment.frequency"/>:</td>
						<td class="title"><strong><bean:write name="billPaymentViewBean" property="payFrequencyDisplay" /></strong></td>
					</tr>
				</c:if>
				<tr>
					<td class="name"><bean:message key="general.start.date"/>:</td>
					<td class="title"><strong><bean:write name="billPaymentViewBean" property="effectiveDateDisplay" /></strong></td>
				</tr>
				<c:if test="${billPaymentForm.map.payMode eq '03'}">
					<tr>
						<td class="name"><bean:message key="general.terminate.date"/>:</td>
						<td class="title"><strong><bean:write name="billPaymentViewBean" property="terminationDateDisplay" /></strong></td>
					</tr>
				</c:if>
			</c:if>
		</c:if>
		<c:set var="topMidLine" value=""/>
		<c:if test="${empty billPaymentViewBean.map.pin}">
				<c:set var="topMidLine" value="borderTop"/>
				<c:out value="</tbody><tfoot>" escapeXml="false"/>
		</c:if>
		<c:set var="centerMidLine" value=""/>
		<c:set var="bottomMidLine" value=""/>
		<c:set var="statusClass" value="success" />
		<c:if test="${!billPaymentViewBean.map.isResultSuccessful}">
			<c:set var="statusClass" value="error" />
		</c:if>

		<tr>
			<td id="<c:out value='${topMidLine}'/>" class="name"><bean:message key="general.status"/>:</td>
			<td id="<c:out value='${topMidLine}'/>" class="title">
				<strong class="<c:out value='${statusClass}'/>"/>
					<bean:write name="billPaymentViewBean" property="status"/>
				</strong>
			</td>
		</tr>
		<c:if test="${!billPaymentViewBean.map.isResultSuccessful && not empty billPaymentViewBean.map.transStatMsg}">
			<tr>
				<td class="name"><bean:message key="general.reason"/>:</td>
				<td class="title">
					<strong class="<c:out value='${statusClass}'/>">
						<bean:write property="transStatMsg" name="billPaymentViewBean"/>
					</strong>
				</td>
			</tr>
		</c:if>
		<c:if test="${not empty billPaymentViewBean.map.fromAccountBalance}">
			<tr>
				<td class="name"><bean:message key="general.new.balance"/>:</td>
				<td class="title"><strong><bean:write name="billPaymentViewBean" property="fromAccountBalance"/></strong></td>
			</tr>
		</c:if>
		<c:if test="${billPaymentViewBean.map.paymentType eq 'PREPAID' && not empty billPaymentViewBean.map.pin}">
			<tr>
				<td class="name">
					<c:choose>
						<c:when test="${payeeDetailsBean.map.serialNoIndicator eq true}">
							<bean:write name="payeeDetailsBean" property="serialNoName"/>
						</c:when>
						<c:otherwise>
							<bean:message key="ib105.bill.payment.pin"/>
						</c:otherwise>
					</c:choose>:
				</td>
				<td class="title"><strong class="orange"><bean:write name="billPaymentViewBean" property="pin"/></strong></td>
			</tr>
			<c:if test="${not empty billPaymentViewBean.map.pinExpiryDate}">
				<tr>
					<td class="name"><bean:message key="ib105.bill.payment.pin.expiry.date"/>:</td>
					<td class="title"><strong class="orange"><bean:write name="billPaymentViewBean" property="pinExpiryDate"/></strong></td>
				</tr>
			</c:if>
			<c:out value="</tbody><tfoot>" escapeXml="false"/>
			<c:set var="centerMidLine" value="borderTop"/>
		</c:if>
		<c:if test="${billPaymentViewBean.map.status eq 'Successful'}">
			<c:choose>
				<c:when test="${not empty billPaymentViewBean.map.esbReferenceNo || ((not empty serviceInfoBean) && (serviceInfoBean.map.futureTransactionFlag))}">
					<c:if test="${not empty billPaymentViewBean.map.esbReferenceNo}">
						<tr>
							<td id="<c:out value='${centerMidLine}'/>" class="name"><bean:message key="general.reference"/>:</td>
							<td id="<c:out value='${centerMidLine}'/>" class="title"><strong><bean:write name="billPaymentViewBean" property="esbReferenceNo"/></strong></td>
						</tr>
					</c:if>
				</c:when>
				<c:otherwise>
					<c:set var="bottomMidLine" value="borderTop"/>
				</c:otherwise>
			</c:choose>
		</c:if>
		<tr>
			<td id="<c:out value='${bottomMidLine}'/>" class="name"><bean:message key="general.reference.number"/>:</td>
			<td id="<c:out value='${bottomMidLine}'/>" class="title"><strong><bean:write name="billPaymentViewBean" property="referenceNo"/></strong></td>
		</tr>
		<tr>
			<td class="name"><bean:message key="general.transaction.date"/>:</td>
			<td class="title"><strong><bean:write name="billPaymentViewBean" property="transactionDate"/></strong></td>
		</tr>
		<tr>
			<td class="name"><bean:message key="general.transaction.time"/>:</td>
			<td class="title"><strong><bean:write name="billPaymentViewBean" property="transactionTime"/></strong></td>
		</tr>
	</tfoot>

	</table>
	
	<!-- SMS Notification START -->
	<!-- UAT START -->
	<br/>
	<br/>
	<br/>
	<table>
		<tr>
			<td><strong>Beneficiary SMS Allowed:</strong></td>
			<td><c:out value="${billPaymentViewBean.map.isBeneficiarySMSAllowed}"></c:out></td>
		</tr>
		<c:choose>
			<c:when test="${!billPaymentViewBean.map.isBeneficiarySMSAllowed}">
			</c:when>
			<c:otherwise>
				<tr>
					<td><strong>SMS Sent:</strong></td>
					<td><bean:write name="billPaymentViewBean" property="isBeneficiarySMSSent"/></td>
				</tr>
				<tr>
					<td><strong>Mobile Number:</strong></td>
					<td><bean:write name="billPaymentViewBean" property="beneficiaryMobileNumber"/></td>
				</tr>
				<tr>
					<td><strong>SMS Message:</strong></td>
					<td><bean:write name="billPaymentViewBean" property="beneficiarySMSMessage"/></td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>
	<br/>
	<br/>
	<table>
		<tr>
			<td><strong>Customer SMS Allowed:</strong></td>
			<td><c:out value="${billPaymentViewBean.map.isCustomerSMSAllowed}"></c:out></td>
		</tr>
		<c:choose>
			<c:when test="${!billPaymentViewBean.map.isCustomerSMSAllowed}">
			</c:when>
			<c:otherwise>
				<tr>
					<td><strong>Alert Amount Reached:</strong></td>
					<td><c:out value="${billPaymentViewBean.map.isSMSAlertAmount}"></c:out></td>
				</tr>
				<tr>
					<td><strong>SMS Sent:</strong></td>
					<td><bean:write name="billPaymentViewBean" property="isCustomerSMSSent"/></td>
				</tr>
				<tr>
					<td><strong>Mobile Number:</strong></td>
					<td><bean:write name="billPaymentViewBean" property="customerMobileNumber"/></td>
				</tr>
				<c:if test="${!billPaymentViewBean.map.isCustomerSMSSent}">
					<tr>
						<td><strong>SMS Message:</strong></td>
						<td><bean:write name="billPaymentViewBean" property="customerSMSMessage"/></td>
					</tr>
				</c:if>
			</c:otherwise>
		</c:choose>
	</table>
	<!-- UAT END -->
	<!-- SMS Notification END -->
	
	<div id="buttons">
		<c:if test="${billPaymentViewBean.map.isResultSuccessful && (not empty billPaymentViewBean.map.receiptLink)}" >
			<bean:define id="receiptLink" name="billPaymentViewBean" property="receiptLink"/>
			<htmlEL:button property="action" styleClass="button" onclick="visitReceiptPage('${receiptLink}');">
				<bean:message key="general.button.receipt"/>
			</htmlEL:button>&nbsp;
		</c:if>
		<htmlEL:submit property="action" styleClass="button" onclick="overlay();">
		  	<c:choose>
				<c:when test="${billPaymentViewBean.map.paymentType eq 'OPEN'}">
					<bean:message key="ib105.open.payment.perform.another" />
				</c:when>
				<c:when test="${billPaymentViewBean.map.paymentType eq 'FAVOURITE'}">
					<bean:message key="ib105.fav.payment.perform.another" />
				</c:when>
				<c:when test="${billPaymentViewBean.map.paymentType eq 'PREPAID'}">
					<bean:message key="ib105.prepaid.payment.perform.another" />
				</c:when>
			</c:choose>
		</htmlEL:submit>
	</div>
	</htmlEL:form>
</div>